Bug 1299761 - amrecover: NAK: amindexd: invalid service, add 'amindexd' as argument to amandad
amrecover: NAK: amindexd: invalid service, add 'amindexd' as argument to amandad
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: amanda (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Josef Ridky
Daniel Rusek
: Patch
Depends On: 1033896
Blocks: 1306980 1400961 1465906 1465925 1472751 1380364 1393870
  Show dependency treegraph
 
Reported: 2016-01-19 04:03 EST by Peter Bieringer
Modified: 2017-12-04 08:34 EST (History)
6 users (show)

See Also:
Fixed In Version: amanda-3.3.3-19.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1033896
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2016-01-19 04:03:43 EST
EL7 contains amanda-3.3.3-13.el7.x86_64 which has the same bug

+++ This bug was initially created as a clone of Bug #1033896 +++

Description of problem:

I can't run amrecover


Version-Release number of selected component (if applicable):

amanda-3.3.3-4.fc19.x86_64


How reproducible:

Since system was upgrade from older version to one where amanda is started by systemd


Steps to Reproduce:
1.
# amrecover -C host
AMRECOVER Version 3.3.3. Contacting server on host ...


Actual results:

NAK: amindexd: invalid service, add 'amindexd' as argument to amandad


Expected results:

Connection to amindexd


Additional info:

Temporary workaround:

--- amanda@.service	2013-07-16 11:18:14.000000000 +0200
+++ /usr/lib/systemd/system/amanda@.service	2013-11-24 08:28:12.009109233 +0100
@@ -5,5 +5,5 @@
 [Service]
 User=amandabackup
 Group=disk
-ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump 
+ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump amindexd amidxtaped
 StandardInput=socket


Since file in /etc/xinetd.d/ was now replaced by this systemd configuration I think it would make more sense:

either try to use /etc/sysconfig/amanda for adjusting the ExecStart arguments
or use them as default, but then default restriction should be in place somehow

--- Additional comment from Peter Bieringer on 2014-05-03 05:31:37 EDT ---

Still not fixed in F20 with amanda-3.3.3-9.fc20.x86_64

--- Additional comment from Jason Tibbitts on 2014-08-11 16:41:21 EDT ---

Of course the workaround isn't something you should actually do; either copy the amanda@.service file to /etc/systemd/system and edit it there, or set up an override.

I wonder if it isn't possible for the amanda-server package to set up its own override; the base amanda package would create /lib/systemd/system/amanda@.service.d and amanda-server would drop in a .conf file containing:

[Service]
ExecStart=
ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump amindexd amidxtaped

I'm not sure if that's just too much magic.

--- Additional comment from Fedora Update System on 2014-11-11 09:25:38 EST ---

amanda-3.3.6-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/amanda-3.3.6-4.fc21

--- Additional comment from Petr Hracek on 2014-11-11 09:46:16 EST ---

scm-commit for F21 (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20141110/1443077.html)
scm-commit for F20 (http://pkgs.fedoraproject.org/cgit/amanda.git/commit/?h=f20)

amanda-udp.service file contains amindexd amidxtaped too.

--- Additional comment from Fedora Update System on 2014-11-11 10:39:49 EST ---

amanda-3.3.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/amanda-3.3.6-2.fc20

--- Additional comment from Fedora Update System on 2014-11-13 13:06:12 EST ---

Package amanda-3.3.6-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing amanda-3.3.6-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14797/amanda-3.3.6-2.fc20
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2014-11-22 07:35:25 EST ---

amanda-3.3.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2014-11-24 03:56:12 EST ---

amanda-3.3.6-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/amanda-3.3.6-5.fc21

--- Additional comment from Fedora Update System on 2014-12-06 05:56:06 EST ---

amanda-3.3.6-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tereza Cerna 2017-06-22 10:02:41 EDT
I tested this bug on amanda-3.3.3-18.el7 and this bug is probably not fixed.


There is fix in file /usr/lib/systemd/system/amanda@.service on Fedora 21:

 [Service]
 User=amandabackup
 Group=disk
-ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump 
+ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump amindexd amidxtaped
 StandardInput=socket

Fedora build: https://koji.fedoraproject.org/koji/buildinfo?buildID=595152


But if I see this file in package amanda-3.3.3-18.el7, there is old version of line with ExecStart:

[Service]
User=amandabackup
Group=disk
ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump
StandardInput=socket

And this patch is missing also in file /usr/lib/systemd/system/amanda-udp.service


-> Failed QE
Comment 8 Josef Ridky 2017-06-23 03:52:07 EDT
rescheduled for RHEL-7.5
Comment 9 Josef Ridky 2017-06-23 03:53:57 EDT
ExecStart=/usr/sbin/amandad -auth=bsdtcp amdump amindexd amidxtaped

this line should be part of amanda@.service file

Note You need to log in before you can comment on or make changes to this bug.